package com.atmob.keyboard_android_example

import android.content.Context
import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.embedding.engine.FlutterEngineCache
import com.atmob.keyboard_android_example.config.AppConfig

class MainActivity : FlutterActivity() {
    /**
     * 使用预缓存的引擎
     */
    override fun provideFlutterEngine(context: Context): FlutterEngine? {
        return FlutterEngineCache.getInstance().get(AppConfig.FLUTTER_ENGINE_ID)
    }
}
